Commit b746bfb66f3354dcb334268d621dae262ed1384a

Authored by oliverhaag
1 parent e3f3cca4

Added --with-firmware-dir configure option (thanks to Romuald Conty)

dsoextractfw/90-hantek-dso.rules deleted
1 -# Hantek DSO-2090  
2 -SUBSYSTEM=="usb", ACTION=="add", ENV{DEVTYPE}=="usb_device", ENV{PRODUCT}=="4b4/2090/*", RUN+="/sbin/fxload -t fx2 -I /usr/local/share/hantekdso/DSO2090_firmware.hex -s /usr/local/share/hantekdso/DSO2090_loader.hex -D $env{DEVNAME}"  
3 -SYSFS{idVendor}=="04b5", SYSFS{idProduct}=="2090", MODE="0660", GROUP="plugdev"  
4 -  
5 -# Hantek DSO-2100  
6 -SUBSYSTEM=="usb", ACTION=="add", ENV{DEVTYPE}=="usb_device", ENV{PRODUCT}=="547/1006/*", RUN+="/sbin/fxload -t an21 -I /usr/local/share/hantekdso/DSO2100_firmware.hex -s /usr/local/share/hantekdso/DSO2100_loader.hex -D $env{DEVNAME}"  
7 -SYSFS{idVendor}=="0547", SYSFS{idProduct}=="1002", MODE="0660", GROUP="plugdev"  
8 -  
9 -# Hantek DSO-2150  
10 -SUBSYSTEM=="usb", ACTION=="add", ENV{DEVTYPE}=="usb_device", ENV{PRODUCT}=="4b4/2150/*", RUN+="/sbin/fxload -t fx2 -I /usr/local/share/hantekdso/DSO2150_firmware.hex -s /usr/local/share/hantekdso/DSO2150_loader.hex -D $env{DEVNAME}"  
11 -SYSFS{idVendor}=="04b5", SYSFS{idProduct}=="2150", MODE="0660", GROUP="plugdev"  
12 -  
13 -# Hantek DSO-2250  
14 -SUBSYSTEM=="usb", ACTION=="add", ENV{DEVTYPE}=="usb_device", ENV{PRODUCT}=="4b4/2250/*", RUN+="/sbin/fxload -t fx2 -I /usr/local/share/hantekdso/DSO2250_firmware.hex -s /usr/local/share/hantekdso/DSO2250_loader.hex -D $env{DEVNAME}"  
15 -SYSFS{idVendor}=="04b5", SYSFS{idProduct}=="2250", MODE="0660", GROUP="plugdev"  
16 -  
17 -# Hantek DSO-5200  
18 -SUBSYSTEM=="usb", ACTION=="add", ENV{DEVTYPE}=="usb_device", ENV{PRODUCT}=="4b4/5200/*", RUN+="/sbin/fxload -t fx2 -I /usr/local/share/hantekdso/DSO5200_firmware.hex -s /usr/local/share/hantekdso/DSO5200_loader.hex -D $env{DEVNAME}"  
19 -SYSFS{idVendor}=="04b5", SYSFS{idProduct}=="5200", MODE="0660", GROUP="plugdev"  
20 -  
21 -# Hantek DSO-5200A  
22 -SUBSYSTEM=="usb", ACTION=="add", ENV{DEVTYPE}=="usb_device", ENV{PRODUCT}=="4b4/520A/*", RUN+="/sbin/fxload -t fx2 -I /usr/local/share/hantekdso/DSO520A_firmware.hex -s /usr/local/share/hantekdso/DSO520A_loader.hex -D $env{DEVNAME}"  
23 -SYSFS{idVendor}=="04b5", SYSFS{idProduct}=="520A", MODE="0660", GROUP="plugdev"  
dsoextractfw/ChangeLog
@@ -22,3 +22,4 @@ @@ -22,3 +22,4 @@
22 * Error if bfd (libbfd) is not usable 22 * Error if bfd (libbfd) is not usable
23 * Silent make if available 23 * Silent make if available
24 * Fixed DSO-2100 USB vid/pid 24 * Fixed DSO-2100 USB vid/pid
  25 +* Added --with-firmware-dir configure option and udev-rules file generation
dsoextractfw/Makefile.in deleted
1 -# Makefile.in generated by automake 1.11.1 from Makefile.am.  
2 -# @configure_input@  
3 -  
4 -# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,  
5 -# 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,  
6 -# Inc.  
7 -# This Makefile.in is free software; the Free Software Foundation  
8 -# gives unlimited permission to copy and/or distribute it,  
9 -# with or without modifications, as long as this notice is preserved.  
10 -  
11 -# This program is distributed in the hope that it will be useful,  
12 -# but WITHOUT ANY WARRANTY, to the extent permitted by law; without  
13 -# even the implied warranty of MERCHANTABILITY or FITNESS FOR A  
14 -# PARTICULAR PURPOSE.  
15 -  
16 -@SET_MAKE@  
17 -  
18 -  
19 -VPATH = @srcdir@  
20 -pkgdatadir = $(datadir)/@PACKAGE@  
21 -pkgincludedir = $(includedir)/@PACKAGE@  
22 -pkglibdir = $(libdir)/@PACKAGE@  
23 -pkglibexecdir = $(libexecdir)/@PACKAGE@  
24 -am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd  
25 -install_sh_DATA = $(install_sh) -c -m 644  
26 -install_sh_PROGRAM = $(install_sh) -c  
27 -install_sh_SCRIPT = $(install_sh) -c  
28 -INSTALL_HEADER = $(INSTALL_DATA)  
29 -transform = $(program_transform_name)  
30 -NORMAL_INSTALL = :  
31 -PRE_INSTALL = :  
32 -POST_INSTALL = :  
33 -NORMAL_UNINSTALL = :  
34 -PRE_UNINSTALL = :  
35 -POST_UNINSTALL = :  
36 -bin_PROGRAMS = dsoextractfw$(EXEEXT)  
37 -subdir = .  
38 -DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \  
39 - $(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \  
40 - ChangeLog INSTALL NEWS depcomp install-sh missing  
41 -ACLOCAL_M4 = $(top_srcdir)/aclocal.m4  
42 -am__aclocal_m4_deps = $(top_srcdir)/configure.in  
43 -am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \  
44 - $(ACLOCAL_M4)  
45 -am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \  
46 - configure.lineno config.status.lineno  
47 -mkinstalldirs = $(install_sh) -d  
48 -CONFIG_CLEAN_FILES =  
49 -CONFIG_CLEAN_VPATH_FILES =  
50 -am__installdirs = "$(DESTDIR)$(bindir)"  
51 -PROGRAMS = $(bin_PROGRAMS)  
52 -am_dsoextractfw_OBJECTS = dsoextractfw.$(OBJEXT)  
53 -dsoextractfw_OBJECTS = $(am_dsoextractfw_OBJECTS)  
54 -dsoextractfw_DEPENDENCIES =  
55 -dsoextractfw_LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) \  
56 - $(dsoextractfw_LDFLAGS) $(LDFLAGS) -o $@  
57 -DEFAULT_INCLUDES = -I.@am__isrc@  
58 -depcomp = $(SHELL) $(top_srcdir)/depcomp  
59 -am__depfiles_maybe = depfiles  
60 -am__mv = mv -f  
61 -COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \  
62 - $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)  
63 -CCLD = $(CC)  
64 -LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@  
65 -SOURCES = $(dsoextractfw_SOURCES)  
66 -DIST_SOURCES = $(dsoextractfw_SOURCES)  
67 -DATA = $(noinst_DATA)  
68 -ETAGS = etags  
69 -CTAGS = ctags  
70 -DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)  
71 -distdir = $(PACKAGE)-$(VERSION)  
72 -top_distdir = $(distdir)  
73 -am__remove_distdir = \  
74 - { test ! -d "$(distdir)" \  
75 - || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \  
76 - && rm -fr "$(distdir)"; }; }  
77 -DIST_ARCHIVES = $(distdir).tar.gz  
78 -GZIP_ENV = --best  
79 -distuninstallcheck_listfiles = find . -type f -print  
80 -distcleancheck_listfiles = find . -type f -print  
81 -ACLOCAL = @ACLOCAL@  
82 -AMTAR = @AMTAR@  
83 -AUTOCONF = @AUTOCONF@  
84 -AUTOHEADER = @AUTOHEADER@  
85 -AUTOMAKE = @AUTOMAKE@  
86 -AWK = @AWK@  
87 -CC = @CC@  
88 -CCDEPMODE = @CCDEPMODE@  
89 -CFLAGS = @CFLAGS@  
90 -CPP = @CPP@  
91 -CPPFLAGS = @CPPFLAGS@  
92 -CYGPATH_W = @CYGPATH_W@  
93 -DEFS = @DEFS@  
94 -DEPDIR = @DEPDIR@  
95 -ECHO_C = @ECHO_C@  
96 -ECHO_N = @ECHO_N@  
97 -ECHO_T = @ECHO_T@  
98 -EGREP = @EGREP@  
99 -EXEEXT = @EXEEXT@  
100 -GREP = @GREP@  
101 -INSTALL = @INSTALL@  
102 -INSTALL_DATA = @INSTALL_DATA@  
103 -INSTALL_PROGRAM = @INSTALL_PROGRAM@  
104 -INSTALL_SCRIPT = @INSTALL_SCRIPT@  
105 -INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@  
106 -LDFLAGS = @LDFLAGS@  
107 -LIBOBJS = @LIBOBJS@  
108 -LIBS = @LIBS@  
109 -LTLIBOBJS = @LTLIBOBJS@  
110 -MAKEINFO = @MAKEINFO@  
111 -MKDIR_P = @MKDIR_P@  
112 -OBJEXT = @OBJEXT@  
113 -PACKAGE = @PACKAGE@  
114 -PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@  
115 -PACKAGE_NAME = @PACKAGE_NAME@  
116 -PACKAGE_STRING = @PACKAGE_STRING@  
117 -PACKAGE_TARNAME = @PACKAGE_TARNAME@  
118 -PACKAGE_URL = @PACKAGE_URL@  
119 -PACKAGE_VERSION = @PACKAGE_VERSION@  
120 -PATH_SEPARATOR = @PATH_SEPARATOR@  
121 -SET_MAKE = @SET_MAKE@  
122 -SHELL = @SHELL@  
123 -STRIP = @STRIP@  
124 -VERSION = @VERSION@  
125 -abs_builddir = @abs_builddir@  
126 -abs_srcdir = @abs_srcdir@  
127 -abs_top_builddir = @abs_top_builddir@  
128 -abs_top_srcdir = @abs_top_srcdir@  
129 -ac_ct_CC = @ac_ct_CC@  
130 -am__include = @am__include@  
131 -am__leading_dot = @am__leading_dot@  
132 -am__quote = @am__quote@  
133 -am__tar = @am__tar@  
134 -am__untar = @am__untar@  
135 -bindir = @bindir@  
136 -build_alias = @build_alias@  
137 -builddir = @builddir@  
138 -datadir = @datadir@  
139 -datarootdir = @datarootdir@  
140 -docdir = @docdir@  
141 -dvidir = @dvidir@  
142 -exec_prefix = @exec_prefix@  
143 -host_alias = @host_alias@  
144 -htmldir = @htmldir@  
145 -includedir = @includedir@  
146 -infodir = @infodir@  
147 -install_sh = @install_sh@  
148 -libdir = @libdir@  
149 -libexecdir = @libexecdir@  
150 -localedir = @localedir@  
151 -localstatedir = @localstatedir@  
152 -mandir = @mandir@  
153 -mkdir_p = @mkdir_p@  
154 -oldincludedir = @oldincludedir@  
155 -pdfdir = @pdfdir@  
156 -prefix = @prefix@  
157 -program_transform_name = @program_transform_name@  
158 -psdir = @psdir@  
159 -sbindir = @sbindir@  
160 -sharedstatedir = @sharedstatedir@  
161 -srcdir = @srcdir@  
162 -sysconfdir = @sysconfdir@  
163 -target_alias = @target_alias@  
164 -top_build_prefix = @top_build_prefix@  
165 -top_builddir = @top_builddir@  
166 -top_srcdir = @top_srcdir@  
167 -METASOURCES = AUTO  
168 -dsoextractfw_LDFLAGS = $(all_libraries)  
169 -dsoextractfw_LDADD = -lbfd  
170 -dsoextractfw_SOURCES = dsoextractfw.c  
171 -noinst_DATA = 90-hantek-dso.rules  
172 -all: all-am  
173 -  
174 -.SUFFIXES:  
175 -.SUFFIXES: .c .o .obj  
176 -am--refresh:  
177 - @:  
178 -$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)  
179 - @for dep in $?; do \  
180 - case '$(am__configure_deps)' in \  
181 - *$$dep*) \  
182 - echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \  
183 - $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \  
184 - && exit 0; \  
185 - exit 1;; \  
186 - esac; \  
187 - done; \  
188 - echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \  
189 - $(am__cd) $(top_srcdir) && \  
190 - $(AUTOMAKE) --gnu Makefile  
191 -.PRECIOUS: Makefile  
192 -Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status  
193 - @case '$?' in \  
194 - *config.status*) \  
195 - echo ' $(SHELL) ./config.status'; \  
196 - $(SHELL) ./config.status;; \  
197 - *) \  
198 - echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \  
199 - cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \  
200 - esac;  
201 -  
202 -$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)  
203 - $(SHELL) ./config.status --recheck  
204 -  
205 -$(top_srcdir)/configure: $(am__configure_deps)  
206 - $(am__cd) $(srcdir) && $(AUTOCONF)  
207 -$(ACLOCAL_M4): $(am__aclocal_m4_deps)  
208 - $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)  
209 -$(am__aclocal_m4_deps):  
210 -install-binPROGRAMS: $(bin_PROGRAMS)  
211 - @$(NORMAL_INSTALL)  
212 - test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"  
213 - @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \  
214 - for p in $$list; do echo "$$p $$p"; done | \  
215 - sed 's/$(EXEEXT)$$//' | \  
216 - while read p p1; do if test -f $$p; \  
217 - then echo "$$p"; echo "$$p"; else :; fi; \  
218 - done | \  
219 - sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \  
220 - -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \  
221 - sed 'N;N;N;s,\n, ,g' | \  
222 - $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \  
223 - { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \  
224 - if ($$2 == $$4) files[d] = files[d] " " $$1; \  
225 - else { print "f", $$3 "/" $$4, $$1; } } \  
226 - END { for (d in files) print "f", d, files[d] }' | \  
227 - while read type dir files; do \  
228 - if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \  
229 - test -z "$$files" || { \  
230 - echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \  
231 - $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \  
232 - } \  
233 - ; done  
234 -  
235 -uninstall-binPROGRAMS:  
236 - @$(NORMAL_UNINSTALL)  
237 - @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \  
238 - files=`for p in $$list; do echo "$$p"; done | \  
239 - sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \  
240 - -e 's/$$/$(EXEEXT)/' `; \  
241 - test -n "$$list" || exit 0; \  
242 - echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \  
243 - cd "$(DESTDIR)$(bindir)" && rm -f $$files  
244 -  
245 -clean-binPROGRAMS:  
246 - -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)  
247 -dsoextractfw$(EXEEXT): $(dsoextractfw_OBJECTS) $(dsoextractfw_DEPENDENCIES)  
248 - @rm -f dsoextractfw$(EXEEXT)  
249 - $(dsoextractfw_LINK) $(dsoextractfw_OBJECTS) $(dsoextractfw_LDADD) $(LIBS)  
250 -  
251 -mostlyclean-compile:  
252 - -rm -f *.$(OBJEXT)  
253 -  
254 -distclean-compile:  
255 - -rm -f *.tab.c  
256 -  
257 -@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dsoextractfw.Po@am__quote@  
258 -  
259 -.c.o:  
260 -@am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<  
261 -@am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po  
262 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@  
263 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@  
264 -@am__fastdepCC_FALSE@ $(COMPILE) -c $<  
265 -  
266 -.c.obj:  
267 -@am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`  
268 -@am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po  
269 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@  
270 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@  
271 -@am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`  
272 -  
273 -ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)  
274 - list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \  
275 - unique=`for i in $$list; do \  
276 - if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \  
277 - done | \  
278 - $(AWK) '{ files[$$0] = 1; nonempty = 1; } \  
279 - END { if (nonempty) { for (i in files) print i; }; }'`; \  
280 - mkid -fID $$unique  
281 -tags: TAGS  
282 -  
283 -TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \  
284 - $(TAGS_FILES) $(LISP)  
285 - set x; \  
286 - here=`pwd`; \  
287 - list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \  
288 - unique=`for i in $$list; do \  
289 - if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \  
290 - done | \  
291 - $(AWK) '{ files[$$0] = 1; nonempty = 1; } \  
292 - END { if (nonempty) { for (i in files) print i; }; }'`; \  
293 - shift; \  
294 - if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \  
295 - test -n "$$unique" || unique=$$empty_fix; \  
296 - if test $$# -gt 0; then \  
297 - $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \  
298 - "$$@" $$unique; \  
299 - else \  
300 - $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \  
301 - $$unique; \  
302 - fi; \  
303 - fi  
304 -ctags: CTAGS  
305 -CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \  
306 - $(TAGS_FILES) $(LISP)  
307 - list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \  
308 - unique=`for i in $$list; do \  
309 - if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \  
310 - done | \  
311 - $(AWK) '{ files[$$0] = 1; nonempty = 1; } \  
312 - END { if (nonempty) { for (i in files) print i; }; }'`; \  
313 - test -z "$(CTAGS_ARGS)$$unique" \  
314 - || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \  
315 - $$unique  
316 -  
317 -GTAGS:  
318 - here=`$(am__cd) $(top_builddir) && pwd` \  
319 - && $(am__cd) $(top_srcdir) \  
320 - && gtags -i $(GTAGS_ARGS) "$$here"  
321 -  
322 -distclean-tags:  
323 - -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags  
324 -  
325 -distdir: $(DISTFILES)  
326 - $(am__remove_distdir)  
327 - test -d "$(distdir)" || mkdir "$(distdir)"  
328 - @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \  
329 - topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \  
330 - list='$(DISTFILES)'; \  
331 - dist_files=`for file in $$list; do echo $$file; done | \  
332 - sed -e "s|^$$srcdirstrip/||;t" \  
333 - -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \  
334 - case $$dist_files in \  
335 - */*) $(MKDIR_P) `echo "$$dist_files" | \  
336 - sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \  
337 - sort -u` ;; \  
338 - esac; \  
339 - for file in $$dist_files; do \  
340 - if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \  
341 - if test -d $$d/$$file; then \  
342 - dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \  
343 - if test -d "$(distdir)/$$file"; then \  
344 - find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \  
345 - fi; \  
346 - if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \  
347 - cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \  
348 - find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \  
349 - fi; \  
350 - cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \  
351 - else \  
352 - test -f "$(distdir)/$$file" \  
353 - || cp -p $$d/$$file "$(distdir)/$$file" \  
354 - || exit 1; \  
355 - fi; \  
356 - done  
357 - -test -n "$(am__skip_mode_fix)" \  
358 - || find "$(distdir)" -type d ! -perm -755 \  
359 - -exec chmod u+rwx,go+rx {} \; -o \  
360 - ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \  
361 - ! -type d ! -perm -400 -exec chmod a+r {} \; -o \  
362 - ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \  
363 - || chmod -R a+r "$(distdir)"  
364 -dist-gzip: distdir  
365 - tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz  
366 - $(am__remove_distdir)  
367 -  
368 -dist-bzip2: distdir  
369 - tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2  
370 - $(am__remove_distdir)  
371 -  
372 -dist-lzma: distdir  
373 - tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma  
374 - $(am__remove_distdir)  
375 -  
376 -dist-xz: distdir  
377 - tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz  
378 - $(am__remove_distdir)  
379 -  
380 -dist-tarZ: distdir  
381 - tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z  
382 - $(am__remove_distdir)  
383 -  
384 -dist-shar: distdir  
385 - shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz  
386 - $(am__remove_distdir)  
387 -  
388 -dist-zip: distdir  
389 - -rm -f $(distdir).zip  
390 - zip -rq $(distdir).zip $(distdir)  
391 - $(am__remove_distdir)  
392 -  
393 -dist dist-all: distdir  
394 - tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz  
395 - $(am__remove_distdir)  
396 -  
397 -# This target untars the dist file and tries a VPATH configuration. Then  
398 -# it guarantees that the distribution is self-contained by making another  
399 -# tarfile.  
400 -distcheck: dist  
401 - case '$(DIST_ARCHIVES)' in \  
402 - *.tar.gz*) \  
403 - GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\  
404 - *.tar.bz2*) \  
405 - bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\  
406 - *.tar.lzma*) \  
407 - lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\  
408 - *.tar.xz*) \  
409 - xz -dc $(distdir).tar.xz | $(am__untar) ;;\  
410 - *.tar.Z*) \  
411 - uncompress -c $(distdir).tar.Z | $(am__untar) ;;\  
412 - *.shar.gz*) \  
413 - GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\  
414 - *.zip*) \  
415 - unzip $(distdir).zip ;;\  
416 - esac  
417 - chmod -R a-w $(distdir); chmod a+w $(distdir)  
418 - mkdir $(distdir)/_build  
419 - mkdir $(distdir)/_inst  
420 - chmod a-w $(distdir)  
421 - test -d $(distdir)/_build || exit 0; \  
422 - dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \  
423 - && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \  
424 - && am__cwd=`pwd` \  
425 - && $(am__cd) $(distdir)/_build \  
426 - && ../configure --srcdir=.. --prefix="$$dc_install_base" \  
427 - $(DISTCHECK_CONFIGURE_FLAGS) \  
428 - && $(MAKE) $(AM_MAKEFLAGS) \  
429 - && $(MAKE) $(AM_MAKEFLAGS) dvi \  
430 - && $(MAKE) $(AM_MAKEFLAGS) check \  
431 - && $(MAKE) $(AM_MAKEFLAGS) install \  
432 - && $(MAKE) $(AM_MAKEFLAGS) installcheck \  
433 - && $(MAKE) $(AM_MAKEFLAGS) uninstall \  
434 - && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \  
435 - distuninstallcheck \  
436 - && chmod -R a-w "$$dc_install_base" \  
437 - && ({ \  
438 - (cd ../.. && umask 077 && mkdir "$$dc_destdir") \  
439 - && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \  
440 - && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \  
441 - && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \  
442 - distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \  
443 - } || { rm -rf "$$dc_destdir"; exit 1; }) \  
444 - && rm -rf "$$dc_destdir" \  
445 - && $(MAKE) $(AM_MAKEFLAGS) dist \  
446 - && rm -rf $(DIST_ARCHIVES) \  
447 - && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \  
448 - && cd "$$am__cwd" \  
449 - || exit 1  
450 - $(am__remove_distdir)  
451 - @(echo "$(distdir) archives ready for distribution: "; \  
452 - list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \  
453 - sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'  
454 -distuninstallcheck:  
455 - @$(am__cd) '$(distuninstallcheck_dir)' \  
456 - && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \  
457 - || { echo "ERROR: files left after uninstall:" ; \  
458 - if test -n "$(DESTDIR)"; then \  
459 - echo " (check DESTDIR support)"; \  
460 - fi ; \  
461 - $(distuninstallcheck_listfiles) ; \  
462 - exit 1; } >&2  
463 -distcleancheck: distclean  
464 - @if test '$(srcdir)' = . ; then \  
465 - echo "ERROR: distcleancheck can only run from a VPATH build" ; \  
466 - exit 1 ; \  
467 - fi  
468 - @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \  
469 - || { echo "ERROR: files left in build directory after distclean:" ; \  
470 - $(distcleancheck_listfiles) ; \  
471 - exit 1; } >&2  
472 -check-am: all-am  
473 -check: check-am  
474 -all-am: Makefile $(PROGRAMS) $(DATA)  
475 -installdirs:  
476 - for dir in "$(DESTDIR)$(bindir)"; do \  
477 - test -z "$$dir" || $(MKDIR_P) "$$dir"; \  
478 - done  
479 -install: install-am  
480 -install-exec: install-exec-am  
481 -install-data: install-data-am  
482 -uninstall: uninstall-am  
483 -  
484 -install-am: all-am  
485 - @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am  
486 -  
487 -installcheck: installcheck-am  
488 -install-strip:  
489 - $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \  
490 - install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \  
491 - `test -z '$(STRIP)' || \  
492 - echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install  
493 -mostlyclean-generic:  
494 -  
495 -clean-generic:  
496 -  
497 -distclean-generic:  
498 - -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)  
499 - -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)  
500 -  
501 -maintainer-clean-generic:  
502 - @echo "This command is intended for maintainers to use"  
503 - @echo "it deletes files that may require special tools to rebuild."  
504 -clean: clean-am  
505 -  
506 -clean-am: clean-binPROGRAMS clean-generic mostlyclean-am  
507 -  
508 -distclean: distclean-am  
509 - -rm -f $(am__CONFIG_DISTCLEAN_FILES)  
510 - -rm -rf ./$(DEPDIR)  
511 - -rm -f Makefile  
512 -distclean-am: clean-am distclean-compile distclean-generic \  
513 - distclean-tags  
514 -  
515 -dvi: dvi-am  
516 -  
517 -dvi-am:  
518 -  
519 -html: html-am  
520 -  
521 -html-am:  
522 -  
523 -info: info-am  
524 -  
525 -info-am:  
526 -  
527 -install-data-am:  
528 -  
529 -install-dvi: install-dvi-am  
530 -  
531 -install-dvi-am:  
532 -  
533 -install-exec-am: install-binPROGRAMS  
534 -  
535 -install-html: install-html-am  
536 -  
537 -install-html-am:  
538 -  
539 -install-info: install-info-am  
540 -  
541 -install-info-am:  
542 -  
543 -install-man:  
544 -  
545 -install-pdf: install-pdf-am  
546 -  
547 -install-pdf-am:  
548 -  
549 -install-ps: install-ps-am  
550 -  
551 -install-ps-am:  
552 -  
553 -installcheck-am:  
554 -  
555 -maintainer-clean: maintainer-clean-am  
556 - -rm -f $(am__CONFIG_DISTCLEAN_FILES)  
557 - -rm -rf $(top_srcdir)/autom4te.cache  
558 - -rm -rf ./$(DEPDIR)  
559 - -rm -f Makefile  
560 -maintainer-clean-am: distclean-am maintainer-clean-generic  
561 -  
562 -mostlyclean: mostlyclean-am  
563 -  
564 -mostlyclean-am: mostlyclean-compile mostlyclean-generic  
565 -  
566 -pdf: pdf-am  
567 -  
568 -pdf-am:  
569 -  
570 -ps: ps-am  
571 -  
572 -ps-am:  
573 -  
574 -uninstall-am: uninstall-binPROGRAMS  
575 -  
576 -.MAKE: install-am install-strip  
577 -  
578 -.PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \  
579 - clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \  
580 - dist-gzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \  
581 - distcheck distclean distclean-compile distclean-generic \  
582 - distclean-tags distcleancheck distdir distuninstallcheck dvi \  
583 - dvi-am html html-am info info-am install install-am \  
584 - install-binPROGRAMS install-data install-data-am install-dvi \  
585 - install-dvi-am install-exec install-exec-am install-html \  
586 - install-html-am install-info install-info-am install-man \  
587 - install-pdf install-pdf-am install-ps install-ps-am \  
588 - install-strip installcheck installcheck-am installdirs \  
589 - maintainer-clean maintainer-clean-generic mostlyclean \  
590 - mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \  
591 - tags uninstall uninstall-am uninstall-binPROGRAMS  
592 -  
593 -  
594 -# Tell versions [3.59,3.63) of GNU make to not export all variables.  
595 -# Otherwise a system limit (for SysV at least) may be exceeded.  
596 -.NOEXPORT:  
dsoextractfw/configure.in
@@ -23,5 +23,21 @@ AC_CHECK_HEADERS([malloc.h string.h]) @@ -23,5 +23,21 @@ AC_CHECK_HEADERS([malloc.h string.h])
23 # Checks for library functions. 23 # Checks for library functions.
24 AC_FUNC_MALLOC 24 AC_FUNC_MALLOC
25 25
26 -AC_CONFIG_FILES([Makefile]) 26 +# Add --with-firmware-dir= option
  27 +# FIXME According to Autoconf manual, we shouldn't do substitution that way but I'm not able to expand ${prefix} even using Makefile...
  28 +# SEE http://www.gnu.org/software/hello/manual/autoconf/External-Software.html
  29 +AC_ARG_WITH( [firmware-dir],
  30 + [AC_HELP_STRING([--with-firmware-dir=DIR], [directory to install hantek firmwares [/usr/local/share]])],
  31 + [with_firmware_dir=$(echo "$withval" | sed -e 's!/$!!')],
  32 + [with_firmware_dir="/usr/local/share"],
  33 +)
  34 +
  35 +hantekfirmwaredir="$with_firmware_dir/hantekdso"
  36 +AC_SUBST(hantekfirmwaredir)
  37 +
  38 +AC_CONFIG_FILES(
  39 + [Makefile]
  40 + [90-hantek-dso.rules]
  41 +)
  42 +
27 AC_OUTPUT 43 AC_OUTPUT